---
title: "List all incomes | Nuvio Docs"
description: "Retrieves all the incomes that match with provided filters"
url: https://nuvio.io/docs/api/list-incomes
---

# List all incomes

POST `/v1/list-incomes`

Needs an API key with the [`read`](https://nuvio.io/docs/api/authentication#scopes) scope.

## Body parameters

-   `startDate` string

    Starting date to be applied to date filter. Should be formatted in `YYYY-MM-DD` format

-   `endDate` string

    End date to be applied to date filter. Should be formatted in `YYYY-MM-DD` format

-   `customerId` string

    32-character unique ID to filter a specific business entity. If you don't know the ID, you can also provide `customerCode` instead of this field. If both of them are provided, `customerId` will be used only.

-   `customerCode` string

    User-generated custom unique code to filter a specific business entity. If `customerId` is also provided, it will override this filter.

-   `tagName` string

    Name of the tag to be included in the filtering. Case sensitive. It should exactly match with the name in the Nuvio Platform.

-   `projectName` string

    Name of the project to be included in the filtering. Case sensitive. It should exactly match with the name in the Nuvio Platform.

-   `projectCode` string

    User generated code of the project to be included in the filtering. Case sensitive. It should exactly match with the code in the Nuvio Platform.

-   `paymentStatus` string

    Select one of the enum values to filter specific incomes that matches with required payment status.

## Returns

The incomes of the access token's company that match.

`401`

No usable `Authorization: Bearer {token}` header (1002).

`403`

The access token is unknown, or lacks the scope this route needs (1001).

POST /v1/list-incomes

```
curl -X POST https://api.nuvio.io/v1/list-incomes \
  -H "Authorization: Bearer $NUVIO_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "startDate": "2026-11-05",
    "endDate": "2026-11-05",
    "customerId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
    "customerCode": "ACME-01",
    "tagName": "Acme Supplies",
    "projectName": "Acme Supplies",
    "projectCode": "ACME-01",
    "paymentStatus": "string"
  }'
```

Response

```
{
  "success": true,
  "errors": null,
  "data": [
    {
      "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
      "invoiceNumber": "INV-2026-0042",
      "invoiceStatus": "Not Generated",
      "paymentStatus": "Pending",
      "description": "Office supplies",
      "dueDate": "2026-11-05",
      "invoiceDate": "2026-11-05",
      "currency": "USD",
      "exchangeRate": 1,
      "project": {
        "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
        "name": "Acme Supplies",
        "projectCode": "ACME-01"
      },
      "customer": {
        "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
        "name": "Acme Supplies",
        "entityCode": "ACME-01"
      },
      "tags": [
        {
          "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
          "name": "Acme Supplies"
        }
      ],
      "subTotal": 100,
      "totalTax": 100,
      "totalAmount": 100,
      "remainingAmount": 100,
      "items": [
        {
          "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
          "productCode": "ACME-01",
          "productId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
          "productName": "Acme Supplies",
          "quantity": 1,
          "unitPrice": "string",
          "totalTaxes": 100,
          "totalAmount": 100,
          "itemTaxes": [
            {
              "taxId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
              "taxName": "Acme Supplies",
              "taxAmount": 100
            }
          ]
        }
      ],
      "matchedPayments": [
        {
          "bankAccountId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
          "bankAccountName": "Acme Supplies",
          "transactionId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
          "amount": 100,
          "currency": "USD",
          "description": "Office supplies",
          "transactionDate": "2026-11-05"
        }
      ]
    }
  ]
}
```
